Bug 1127082 - tracker-plugin-firefox not detected by firefox
Summary: tracker-plugin-firefox not detected by firefox
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 05:42 UTC by Ankur Sinha (FranciscoD)
Modified: 2015-06-29 21:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:57:06 UTC


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2014-08-06 05:42:52 UTC
Description of problem:
I've been looking into using the tracker-firefox plugin. As per this blog post, you need to use the XPI: http://blogs.gnome.org/abustany/2011/04/12/firefox-can-have-some-tracker-love-too/

The package here provides the source code and the README file says to generate an XPI by zipping it. Could you please zip it and provide the XPI so that firefox can detect it as an extension directly? It doesn't detect it if the extracted source is provided. 

Version-Release number of selected component (if applicable):
tracker-firefox-plugin-1.0.1-2.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install tracker-firefox-plugin
2. Open addons in firefox to activate it
3.

Actual results:
Not present since the source files are provided and not an xpi

Expected results:
Should show up in addons list

Additional info:

Comment 1 Ankur Sinha (FranciscoD) 2014-08-06 05:51:07 UTC
In any case, I can't get it to work. Even if I make an xpi:

zip -r .... trackerfox.xpi

firefox tells me that it's corrupt. I'm probably missing something here.

Comment 2 Ankur Sinha (FranciscoD) 2014-08-06 05:51:44 UTC
Oh, and: firefox-31.0-1.fc20.x86_64

Comment 3 Ankur Sinha (FranciscoD) 2014-08-06 06:00:07 UTC
Placing the extension in my local profile directory seems to work. It now shows up in the firefox addons list:

[asinha@ankur-laptop  extensions]$ pwd
/home/asinha/.mozilla/firefox/qotlf1nb.default/extensions
[asinha@ankur-laptop  extensions]$ cp ~/dump/trackerfox@bustany.org . -a

Where ~/dump/trackerfox@bustany.org was just the contents of the rpm that I'd copied to try and create an xpi.

Comment 4 Fedora End Of Life 2015-05-29 12:34:12 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 21:57:06 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.